package peli;

public class Paikka {
    private int rivi;
    private int sarake;
    
    public Paikka(int rivi, int sarake) {
        this.rivi = rivi;
        this.sarake = sarake;
    }
    
    public int rivi() {
        return rivi;
    }
    
    public int sarake() {
        return sarake;
    }
    
    @Override
    public boolean equals(Object other) {
        if (other instanceof Paikka) {
            Paikka o = (Paikka)other;
            return this.rivi == o.rivi && this.sarake == o.sarake;
        } else {
            return false;
        }
    }

    @Override
    public int hashCode() {
        int hash = 5;
        hash = 29 * hash + this.rivi;
        hash = 29 * hash + this.sarake;
        return hash;
    }
}
